Package org.apache.sling.distribution.queue

## Class DistributionQueueStatus

- java.lang.Object
- - org.apache.sling.distribution.queue.DistributionQueueStatus

    public final class DistributionQueueStatus
    extends Object

The status of a certain `DistributionQueue`

### Constructor Summary

Constructors
`DistributionQueueStatus​(int itemsCount, @NotNull DistributionQueueState queueState)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getItemsCount()` get the no.
`DistributionQueueState` `getState()` get the state associated with the status of this queue
`boolean` `isEmpty()` check if the queue is empty

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionQueueStatus

    public DistributionQueueStatus​(int itemsCount,
                                   @NotNull
                                   @NotNull DistributionQueueState queueState)

### Method Detail

#### getItemsCount

    public int getItemsCount()

get the no. of items in the queue

Returns:
  the no. of items in the queue

#### getState

    public DistributionQueueState getState()

get the state associated with the status of this queue

Returns:
  a `DistributionQueueItemState`

#### isEmpty

    public boolean isEmpty()

check if the queue is empty

Returns:
  `true` if the queue is empty